<?php
// $Id: template.php,v 1.8.2.3 2010/07/25 00:25:34 jmburnz Exp $

/**
 * @file template.php
 */

/**
 * Override or insert variables into the html template.
 */
function pixture_reloaded_process_html(&$vars) {
  // Hook into color module
  if (module_exists('color')) {
    _color_html_alter($vars);
  }
  // Add classes for the font styles
  $classes = explode(' ', $vars['classes']);
  $classes[] = theme_get_setting('font_family');
  $classes[] = theme_get_setting('font_size');
  $vars['classes'] = trim(implode(' ', $classes));
}

/**
 * Override or insert variables into the page template.
 */
function pixture_reloaded_process_page(&$vars) {
  // Hook into color.module
  if (module_exists('color')) {
    _color_page_alter($vars);
  }
}

/**
 * Override or insert variables into the node template.
 */
function pixture_reloaded_process_node(&$vars) {
  // Add rounded corner classes
  $classes = explode(' ', $vars['classes']);
  $classes[] = theme_get_setting('corner_radius');
  $vars['classes'] = trim(implode(' ', $classes));
}

/**
 * Override or insert variables into the block template.
 */
function pixture_reloaded_preprocess_block(&$vars) {
  if($vars['block']->region == 'menu_bar') {
    $vars['title_attributes_array']['class'][] = 'element-invisible';
  }
  if($vars['block']->module == 'superfish' || $vars['block']->module == 'nice_menu') {
    $vars['content_attributes_array']['class'][] = 'clearfix';
  }
}

/**
 * Override or insert variables into the block template.
 */
function pixture_reloaded_process_block(&$vars) {
  // Add rounded corner classes
  $classes = explode(' ', $vars['classes']);
  $classes[] = theme_get_setting('corner_radius');
  $vars['classes'] = trim(implode(' ', $classes));
}

/**
 * Override or insert variables into the comment template.
 */
function pixture_reloaded_process_comment(&$vars) {
  // Add rounded corner classes
  $classes = explode(' ', $vars['classes']);
  $classes[] = theme_get_setting('corner_radius');
  $vars['classes'] = trim(implode(' ', $classes));
}
